Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.cwru.SimpleRTS.Log
Class EventLogger.EventLoggerView

    java.lang.Object
      edu.cwru.SimpleRTS.Log.EventLogger.EventLoggerView

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  EventLogger

    public static class EventLogger.EventLoggerView

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`EventLogger.EventLoggerView(EventLogger master)`

Method Summary
`java.util.List<BirthLog>` | `getBirths(int roundnumber)`
`int` | `getCurrentRound()`
`java.util.List<DamageLog>` | `getDamage(int roundnumber)`
`java.util.List<DeathLog>` | `getDeaths(int roundnumber)`
`java.util.List<ResourceDropoffLog>` | `getResourceDropoffs(int roundnumber)`
`java.util.List<ResourceExhaustionLog>` | `getResourceExhaustions(int roundnumber)`
`java.util.List<ResourcePickupLog>` | `getResourcePickups(int roundnumber)`
`java.util.List<UpgradeLog>` | `getUpgrades(int roundnumber)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventLogger.EventLoggerView

    public EventLogger.EventLoggerView(EventLogger master)

Method Detail

### getCurrentRound

    public int getCurrentRound()

### getDeaths

    public java.util.List<DeathLog> getDeaths(int roundnumber)

### getDamage

    public java.util.List<DamageLog> getDamage(int roundnumber)

### getBirths

    public java.util.List<BirthLog> getBirths(int roundnumber)

### getUpgrades

    public java.util.List<UpgradeLog> getUpgrades(int roundnumber)

### getResourceExhaustions

    public java.util.List<ResourceExhaustionLog> getResourceExhaustions(int roundnumber)

### getResourceDropoffs

    public java.util.List<ResourceDropoffLog> getResourceDropoffs(int roundnumber)

### getResourcePickups

    public java.util.List<ResourcePickupLog> getResourcePickups(int roundnumber)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD